package com.ssj.service.kmt.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author yanghuan
 * @title: TeacherSalaryDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/30 16:50
 */
public class TeacherSalaryDto implements Serializable {

    private static final long serialVersionUID = 1L;


    private  String teacherId;

    private  String imgUrl;

    private  String name;

    private  String identity;

    private  String manager;

    private  String subject;

    private  int actualAttendCount;

    private  int shouldAttendCount;

    private  String attendanceRate;

    private  String accuracy;

    private String correctDecution;

    private  int WhetherHaveBasicSalary;//1有，0没有


    private  int manualLowGradeCount;


    private  int manualMiddleGradeCount;

    private  int manualHighGradeCount;

    private  int totalAutoCount;

    private  int matchCount;

    public int getMatchCount() { return matchCount; }

    public void setMatchCount(int matchCount) { this.matchCount = matchCount; }

    public String getBasicSalary() {
        return basicSalary;
    }

    public void setBasicSalary(String basicSalary) {
        this.basicSalary = basicSalary;
    }

    private String basicSalary;

    private  int grade;

    private String total;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }

    public int getWhetherHaveBasicSalary() { return WhetherHaveBasicSalary; }

    public void setWhetherHaveBasicSalary(int whetherHaveBasicSalary) { WhetherHaveBasicSalary = whetherHaveBasicSalary; }

    public int getManualLowGradeCount() {
        return manualLowGradeCount;
    }

    public void setManualLowGradeCount(int manualLowGradeCount) {
        this.manualLowGradeCount = manualLowGradeCount;
    }


    public int getManualMiddleGradeCount() {
        return manualMiddleGradeCount;
    }

    public void setManualMiddleGradeCount(int manualMiddleGradeCount) {
        this.manualMiddleGradeCount = manualMiddleGradeCount;
    }



    public int getManualHighGradeCount() {
        return manualHighGradeCount;
    }

    public void setManualHighGradeCount(int manualHighGradeCount) {
        this.manualHighGradeCount = manualHighGradeCount;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getActualAttendCount() {
        return actualAttendCount;
    }

    public void setActualAttendCount(int actualAttendCount) {
        this.actualAttendCount = actualAttendCount;
    }

    public int getShouldAttendCount() {
        return shouldAttendCount;
    }

    public void setShouldAttendCount(int shouldAttendCount) {
        this.shouldAttendCount = shouldAttendCount;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public String getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(String accuracy) {
        this.accuracy = accuracy;
    }

    public String getCorrectDecution() {
        return correctDecution;
    }

    public void setCorrectDecution(String correctDecution) {
        this.correctDecution = correctDecution;
    }

    public int getTotalAutoCount() {
        return totalAutoCount;
    }

    public void setTotalAutoCount(int totalAutoCount) {
        this.totalAutoCount = totalAutoCount;
    }
}
